This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 248706 - authconfig --winbindjoin=... fails, TypeError: joinDomain() takes exactly 2 arguments (1 given)
authconfig --winbindjoin=... fails, TypeError: joinDomain() takes exactly 2 a...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: authconfig (Show other bugs)
5.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On: 380551
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-18 08:11 EDT by Christoph Maser
Modified: 2008-05-21 10:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0375
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:29:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Maser 2007-07-18 08:11:41 EDT
+++ This bug was initially created as a clone of Bug #245374 +++

Trying to use /usr/sbin/authconfig on the commandline to script machines joining
our AD domain, but I can't make
authconfig --winbindjoin=...
work, it always gives error:
Traceback (most recent call last):
  File "/usr/sbin/authconfig", line 780, in <module>
    module.run()
  File "/usr/sbin/authconfig", line 375, in run
    self.writeAuthInfo()
  File "/usr/sbin/authconfig", line 354, in writeAuthInfo
    self.joinDomain()
  File "/usr/sbin/authconfig", line 342, in joinDomain
    self.info.joinDomain()
TypeError: joinDomain() takes exactly 2 arguments (1 given)

I've tried the following permutations:
authconfig ... --winbindjoin=<username>
authconfig ... --winbindjoin=<username>%<password>
authconfig ... --winbindjoin=<username>@<domain>%<password>
all with the same results.

-- Additional comment from cmr@financial.com on 2007-07-18 08:10 EST --
Here is a patching fixing it:

--- authconfig.py       2007-07-18 14:09:03.000000000 +0200
+++ authconfig.py.orig  2007-07-18 14:08:33.000000000 +0200
@@ -337,7 +337,7 @@
 
        def joinDomain(self):
                if self.options.winbindjoin:
-                       self.info.joinDomain(True)
+                       self.info.joinDomain()
 
        def writeAuthInfo(self):
                self.info.testLDAPCACerts()
@@ -379,7 +379,7 @@
        def joinDomain(self):
                # join domain only on kickstart
                if self.options.kickstart and self.options.winbindjoin:
-                       self.info.joinDomain(True)
+                       self.info.joinDomain()
 
        def warnCallback(self, data):
                (comp, warning) = data
Comment 1 Christoph Maser 2007-07-18 08:16:26 EDT
Sorry i reversed the Patch. The correct version is:

--- authconfig.py.orig  2007-07-18 14:08:33.000000000 +0200
+++ authconfig.py       2007-07-18 14:09:03.000000000 +0200
@@ -337,7 +337,7 @@
 
        def joinDomain(self):
                if self.options.winbindjoin:
-                       self.info.joinDomain()
+                       self.info.joinDomain(True)
 
        def writeAuthInfo(self):
                self.info.testLDAPCACerts()
@@ -379,7 +379,7 @@
        def joinDomain(self):
                # join domain only on kickstart
                if self.options.kickstart and self.options.winbindjoin:
-                       self.info.joinDomain()
+                       self.info.joinDomain(True)
 
        def warnCallback(self, data):
                (comp, warning) = data
Comment 2 RHEL Product and Program Management 2007-10-31 14:24:55 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 errata-xmlrpc 2008-05-21 10:29:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0375.html

Note You need to log in before you can comment on or make changes to this bug.